Skip to main content
GET
https://{tenantDomain}/api/v2
/
attack-protection
/
captcha
C#
using Auth0.ManagementApi;
using System.Threading.Tasks;

public partial class Examples
{
    public async Task Example() {
        var client = new ManagementClient(
            token: "<token>"
        );

        await client.AttackProtection.Captcha.GetAsync();
    }

}
{
  "active_provider_id": "<string>",
  "arkose": {
    "site_key": "<string>",
    "fail_open": true,
    "client_subdomain": "<string>",
    "verify_subdomain": "<string>"
  },
  "auth_challenge": {
    "fail_open": true
  },
  "hcaptcha": {
    "site_key": "<string>"
  },
  "friendly_captcha": {
    "site_key": "<string>"
  },
  "recaptcha_enterprise": {
    "site_key": "<string>",
    "project_id": "<string>"
  },
  "recaptcha_v2": {
    "site_key": "<string>"
  },
  "simple_captcha": {}
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Response

Captcha configuration successfully retrieved.

active_provider_id
string
arkose
object
auth_challenge
object
hcaptcha
object
friendly_captcha
object
recaptcha_enterprise
object
recaptcha_v2
object
simple_captcha
object